Bug 125909 - [NEW PORT]www/pecl-http:Extended HTTP Support
Summary: [NEW PORT]www/pecl-http:Extended HTTP Support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-23 23:10 UTC by wenheping
Modified: 2008-07-26 00:00 UTC (History)
0 users

See Also:


Attachments
file.shar (2.02 KB, text/plain)
2008-07-23 23:10 UTC, wenheping
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description wenheping 2008-07-23 23:10:01 UTC
pecl-http extension aims to provide a convenient and
powerful set of functionality for one of PHPs major
applications. It eases handling of HTTP URLs, dates,
redirects, headers and messages, provides means for
negotiation of clients preferred language and charset,
as well as a convenient way to send any arbitrary data
with caching and resuming capabilities. It provides
powerful request functionality too.

WWW: http://pecl.php.net/package/pecl_http/

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-07-23 23:10:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2008-07-25 23:54:07 UTC
miwi        2008-07-25 22:53:58 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/pecl-http        Makefile distinfo pkg-descr 
  Log:
  pecl-http extension aims to provide a convenient and
  powerful set of functionality for one of PHPs major
  applications. It eases handling of HTTP URLs, dates,
  redirects, headers and messages, provides means for
  negotiation of clients preferred language and charset,
  as well as a convenient way to send any arbitrary data
  with caching and resuming capabilities. It provides
  powerful request functionality too.
  
  WWW: http://pecl.php.net/package/pecl_http/
  
  PR:             ports/125909
  Submitted by:   Wen Heping <wenheping at gmail.com>
  
  Revision  Changes    Path
  1.2105    +1 -0      ports/www/Makefile
  1.1       +28 -0     ports/www/pecl-http/Makefile (new)
  1.1       +3 -0      ports/www/pecl-http/distinfo (new)
  1.1       +10 -0     ports/www/pecl-http/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2008-07-25 23:55:17 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!